Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.graph
Class Graph.ApplyFunctionAction<T>

    java.lang.Object
      org.modeshape.graph.Graph.AbstractAction<T>
          org.modeshape.graph.Graph.ApplyFunctionAction<T>

All Implemented Interfaces:
  Graph.ApplyFunction<T>, Graph.Conjunction<T>, Graph.To<T>, Graph.WithInput<T>, Graph.WithScope<T>

Enclosing class:
  Graph

    public abstract class Graph.ApplyFunctionAction<T>

extends Graph.AbstractAction<T>
implements Graph.ApplyFunction<T>

Constructor Summary
`protected` | `Graph.ApplyFunctionAction(Function function, String workspace, T afterConjunction)`

Method Summary
`T` | `and()` Finish the request and prepare to start another.
`Graph.WithInput<T>` | `and(String parameterName, Object parameterValue)` Specify the name and value of an input to be passed to the function when it is executed.
`protected abstract T` | `submit(Location parent, String workspaceName, Function function, Map<String,Serializable> inputs)`
`T` | `to(Location desiredLocation)` Finish the request by specifying the Location.create where the node should be copied/moved.
`T` | `to(Path desiredPath)` Finish the request by specifying the Location.create where the node should be copied/moved.
`T` | `to(String desiredPath)` Finish the request by specifying the Location.create where the node should be copied/moved.
`Graph.WithInput<T>` | `withInput(String parameterName, Object parameterValue)` Specify the name and value of an input to be passed to the function when it is executed.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Graph.ApplyFunctionAction

    protected Graph.ApplyFunctionAction(Function function,
                                        String workspace,
                                        T afterConjunction)

Method Detail

### and

    public T and()

  Finish the request and prepare to start another.

  Specified by:
    `and` in interface `Graph.Conjunction<T>`
  Overrides:
    `and` in class `Graph.AbstractAction<T>`
  Returns:
    the interface that can be used to start another request; never null
  See Also:
    `Graph.AbstractAction.and()`

### to

    public T to(Location desiredLocation)

  Finish the request by specifying the Location.create where the node should be copied/moved. Unlike `Graph.Into.into(Location)`, which specifies the location of the parent and which assumes the new node should have the same name as the original, this method allows the caller to specify a new name for the new node.

  Specified by:
    `to` in interface `Graph.To<T>`
  Parameters:
    `desiredLocation` - the desired location for the new node, which must have a `path`
  Returns:
    the interface for additional requests or actions
  See Also:
    `Graph.To.to(org.modeshape.graph.Location)`

### to

    public T to(String desiredPath)

  Finish the request by specifying the Location.create where the node should be copied/moved. Unlike `Graph.Into.into(String)`, which specifies the location of the parent and which assumes the new node should have the same name as the original, this method allows the caller to specify a new name for the new node.

  Specified by:
    `to` in interface `Graph.To<T>`
  Parameters:
    `desiredPath` - the path for the new node
  Returns:
    the interface for additional requests or actions
  See Also:
    `Graph.To.to(java.lang.String)`

### to

    public T to(Path desiredPath)

  Finish the request by specifying the Location.create where the node should be copied/moved. Unlike `Graph.Into.into(Path)` , which specifies the location of the parent and which assumes the new node should have the same name as the original, this method allows the caller to specify a new name for the new node.

  Specified by:
    `to` in interface `Graph.To<T>`
  Parameters:
    `desiredPath` - the path for the new node
  Returns:
    the interface for additional requests or actions
  See Also:
    `Graph.To.to(org.modeshape.graph.property.Path)`

### withInput

    public Graph.WithInput<T> withInput(String parameterName,
                                        Object parameterValue)

  Specify the name and value of an input to be passed to the function when it is executed.

  Specified by:
    `withInput` in interface `Graph.WithInput<T>`
  Parameters:
    `parameterName` - the parameter name
    `parameterValue` - the parameter value
  Returns:
    this interface for continued specification of the request
  See Also:
    `Graph.WithInput.withInput(java.lang.String, java.lang.Object)`

### and

    public Graph.WithInput<T> and(String parameterName,
                                  Object parameterValue)

  Specify the name and value of an input to be passed to the function when it is executed.

  Specified by:
    `and` in interface `Graph.WithInput<T>`
  Parameters:
    `parameterName` - the parameter name
    `parameterValue` - the parameter value
  Returns:
    this interface for continued specification of the request
  See Also:
    `Graph.WithInput.and(java.lang.String, java.lang.Object)`

### submit

    protected abstract T submit(Location parent,
                                String workspaceName,
                                Function function,
                                Map<String,Serializable> inputs)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.